library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity test is
end entity;

architecture arc of test is

  signal a, b, cin, s, cout : std_logic;

  component full_add is
    port (
      a    : in  std_logic;
      b    : in  std_logic;
      cin  : in  std_logic;
      s    : out std_logic;
      cout : out std_logic
      );
  end component;

begin

  inst_additionneur_en_test : full_add port map(a, b, cin, s, cout);

  process
  begin
    a   <= '0';
    b   <= '0';
    cin <= '0';
    wait for 5 ns;
    a   <= '1';
    b   <= '0';
    cin <= '0';
    wait for 5 ns;
    a   <= '1';
    b   <= '1';
    cin <= '0';
    wait for 5 ns;
    a   <= '1';
    b   <= '1';
    cin <= '1';
  end process;

end arc;
